<template>
  <div id="myapp-tab-content">
    <b-container v-for="category in categories" :key="category.id">
      <b-row>
        <div class="category-title">
          <p class="h2 pb-2">{{ category.label }}</p>
        </div>
        <div>
          <ul>
            <li v-for="(todo, index) in findByCategory(category.id)" :key="index">
              {{ todo.label }}
            </li>
          </ul>
        </div>
      </b-row>
    </b-container>
  </div>
</template>

<script>
import { BaseComponent } from '@/utils/'

export default {
  extends: BaseComponent,
  data () {
    return {}
  },
  state: {
    MyAppModule: [
      'todos',
      'categories'
    ]
  },
  getters: {
    MyAppModule: [
      'findByCategory'
    ]
  }
}
</script>
